<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Football player?</title>
<style>
  body, html {
    margin: 0;
    padding: 0;
    height: 100%;
   
  }
  .image {
    position: absolute;
    transition: transform 0.5s ease-in-out;
  }
</style>
</head>
<body>
    <img style="z-index: 0;" width="100%" src="草地球场.jpg" alt="">
    <a style="color: #ffda9b;text-align: center;position: absolute;top: 195%;left: 41%;z-index: 2;"  href="Totem.html" target="_blank">Do you like watching them play football. <br>--know more--</a>
   
<div id="container"></div>

<script>
  // Images information
  const images = [
    { src: '宝宝1.png', size: 100 },
    { src: '宝宝2.png', size: 80 },
    { src: '宝宝3.png', size: 100 },
    { src: '宝宝4.png', size: 70 },
    { src: '宝宝5.png', size: 90 },
    { src: '宝宝6.png', size: 100 },
    { src: '宝宝7.png', size: 100 },
    { src: '足球.png', size: 80 },
  ];

  // Function to create and position images
  function createImages() {
    images.forEach(image => {
      const imgElement = document.createElement('img');
      imgElement.classList.add('image');
      imgElement.src = image.src;
      imgElement.style.width = `${image.size}px`;
      imgElement.style.height = `${image.size}px`;
      imgElement.style.left = `${Math.random() * (150 - image.size)}vw`;
      imgElement.style.top = `${Math.random() * (150 - image.size)}vh`;
      document.getElementById('container').appendChild(imgElement);
    });
  }

  // Function to move images
  function moveImages() {
    document.querySelectorAll('.image').forEach(img => {
      const x = Math.random() * (500 - img.offsetWidth);
      const y = Math.random() * (500 - img.offsetHeight);
      img.style.transform = `translate(${x}px, ${y}px)`;
    });
  }

  // Create images on page load
  window.onload = createImages;

  // Set interval to move images every 2 seconds
  setInterval(moveImages, 2000);
</script>
</body>
</html>